Subject: Re: bug#35769: Local .bash_history cleared when tramp-histfile-override is set to t

From: Michael Albinus <[email-masked]>
Date: Sat, 18 May 2019 18:18:01 +0200

Wanrong Lin <[email-masked]> writes:

Hi,

> Emacs 26.1, Linux
> When I have this
> (setq tramp-histfile-override t)
> and use tramp to open a remote directory via scp, the *local*
> ~/.bash_history is wiped out (i.e. it becomes an empty file). I don't
> think that is the desired behavior for this setting.

Thanks for the bug report. I've pushed a patch to the Tramp and Emacs
repositories which should fix it. Do you have a chance to test a recent
checkout of Tramp or Emacs?

> W. Lin

Best regards, Michael.